Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-sparc
Navigation:
Lists: gentoo-sparc: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: Donnie Berkholz <spyderous@g.o>
From: Ferris McCormick <fmccor@g.o>
Subject: Re: [gentoo-dev] xorg-x11-6.8.0-r4 to go ~arch --- ~sparc tests good.
Date: Tue, 7 Dec 2004 19:59:05 +0000 (UTC)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, 6 Dec 2004, Donnie Berkholz wrote:

> Hey everyone,
>
> If anybody has good reasons why -r4 shouldn't be unleashed upon the
> unsuspecting ~arch users, respond to this (on-list please) before 0000
> UTC Wednesday. Why then? Well, my finals will be over, so I'll have time
> to deal with the expected deluge of reports.
>

Sparc tests fine under the following conditions:

1. ebuild taken from cvs at 13:06 (GMT)
2. USE flags thus:
===========================
lacewing root # PKGDIR=${PD} emerge -pkv xorg-x11

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[binary   R   ] x11-base/xorg-x11-6.8.0-r4  (-3dfx) (-3dnow) +bitmap-fonts 
- -cjk -debug +dlloader -dmx -doc -font-server +hardened +insecure-drivers 
- -ipv6 -minimal (-mmx) +nls +opengl +pam -sdk (-sse) -static 
+truetype-fonts +type1-fonts (-uclibc) -xprint +xv [1]
===========================

3. Because of the +dlloader, necessarily the patches from Bug 61063 were
    applied.
4. This version of X is hardened.
5. The (deprecated) keyboard driver is still required. kbd shifts keys as
    it always has.

6. NOTE: The two 'is_kernel' tests produce error messages, but (for me,
    at any rate) ebuild operation is correct anyway.  I have not
    investigated further, but as I recall, the messages were:
    [: wrong number of arguments (for the check kernel-2.2.x)
    Command '*' not understood

Given this, sparc is fine. ---

7. For non-(hardened+dlloader) users (everyone but me, I think),
    extra patching should not be needed, although at some point, the
    61063 patches are required.

Nice job,
Ferris
- --
Ferris McCormick (P44646, MI) <fmccor@g.o>
Developer, Gentoo Linux (Sparc)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (GNU/Linux)

iD8DBQFBtguNQa6M3+I///cRAm7PAJ9uagni1SWVX7W4qXd4nkTFiRrYrgCfd2O7
xtPzhkVR3UqNF+Jk8P5jAZ8=
=1Uo0
-----END PGP SIGNATURE-----

--
gentoo-sparc@g.o mailing list

Navigation:
Lists: gentoo-sparc: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
stupid! I booked an U2 box only to find my monitor won't plug-in
Next by thread:
Re: 2.6 kernel and docs
Previous by date:
Re: stupid! I booked an U2 box only to find my monitor won't plug-in
Next by date:
Re: 2.6 kernel and docs


Updated Jun 17, 2009

Summary: Archive of the gentoo-sparc mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.